Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153678 - FC3 test update needs libtool update (!)
Summary: FC3 test update needs libtool update (!)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 21:50 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-13 17:56:49 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2005-04-04 21:50:20 UTC
GCC Test Update for FC3 breaks libtool's requirement (hence I file this here):

  Error: Missing Dependency: gcc = 3.4.2 is needed by package libtool

Version-Release number of selected component (if applicable):
gcc-3.4.3-22.fc3

Comment 1 Jakub Jelinek 2005-04-04 21:53:14 UTC
You must have missed libtool-1.5.6-4.FC3.2 in 3/updates/testing/ (same place
as the GCC testing update).

Comment 2 Chris Underhill 2005-04-12 19:49:58 UTC
gcc updates have gone into the non-test directory today and the updated libtool
is not present. The latest version on the fedora server is
libtool-1.5.6-4.FC3.1. This results in the error message

Missing Dependency: gcc = 3.4.2 is needed by package libtool

when I run up2date.

Comment 3 Myk Melez 2005-04-12 21:08:08 UTC
I checked Fedora updates ten minutes ago, and it had the old version of the
file.  I checked it again just now, and it now has the new version.  Looks like
it just got pushed.  Wait a day or so and it should show up on the mirrors.

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/3/i386/

Comment 4 Sigurd Hogsbro 2005-04-13 01:38:33 UTC
I think Myk is looking at testing, and thus missed the point made by Chris
Underhill. 

The stable/updates branch is missing the correct version of libtool. I just
tried yum update against the main servers, and still got the same error. Can
someone with priviledges push the libtool update thru? 

Comment 5 Myk Melez 2005-04-13 02:14:04 UTC
Urk, I was indeed looking at testing by mistake.  Sigurd is correct; the
stable/updates branch is still missing the libtools update, without which the
gcc updates released today fail.

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/i386/

Comment 6 Michael Schwendt 2005-04-13 17:56:49 UTC
My original report was about updates-testing, where I couldn't get yum to see
the included libtool update until after half a dozen retries. Closing this
again, since the final FC3 Update has been fixed.



Note You need to log in before you can comment on or make changes to this bug.